%.msc.svg: %.msc
	mscgen -Tsvg -o $@ $<
%.dot.svg : %.dot
	dot -Tsvg -o $@ $<
%.gv.svg : %.gv
	dot -Tsvg -o $@ $<

doc: \
	webfinger.msc.svg follow.msc.svg cli.msc.svg \
	job.dot.svg post.dot.svg top.dot.svg \
	followers.cdb.dot.svg followers.gv.svg following.cdb.dot.svg following.gv.svg
